<?php
class UserGroupManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'result' => 'out', 
'groups' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'domainId' => 'string' 
), 
'add' => array( 
'result' => 'out', 
'groups' => 'array', 
'domainId' => 'string' 
), 
'update' => array( 
'result' => 'out', 
'groupIds' => 'array', 
'details' => 'array', 
'domainId' => 'string' 
), 
'remove' => array( 
'result' => 'out', 
'groupIds' => 'array', 
'domainId' => 'string' 
) 
); 
public function get(&$x_232, &$x_249, &$x_23z, $x_248, $x_285) { 
$x_235 = kerio('webadmin::UserGroupManager'); 
if ($x_235) { 
return $x_235->get(&$x_232, &$x_249, &$x_23z, $x_248, $x_285); 
} 
return false; 
} 
public function add(&$x_232, $x_249, $x_285) { 
$x_235 = kerio('webadmin::UserGroupManager'); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_249, $x_285); 
} 
return false; 
} 
public function update(&$x_232, $x_24o, $x_243, $x_285) { 
$x_235 = kerio('webadmin::UserGroupManager'); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_24o, $x_243, $x_285); 
} 
return false; 
} 
public function remove(&$x_232, $x_24o, $x_285) { 
$x_235 = kerio('webadmin::UserGroupManager'); 
if ($x_235) { 
return $x_235->remove(&$x_232, $x_24o, $x_285); 
} 
return false; 
} 
}; 
?>
